%define upstream_name    MetaCPAN-API
%define upstream_version 0.43

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Distribution and releases information for MetaCPAN::API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MetaCPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(JSON)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TinyMocker)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This is a hopefully-complete API-compliant interface to MetaCPAN (the
https://metacpan.org manpage) with DWIM capabilities, to make your life
easier.

This module has three purposes:

* * Provide 100% of the beta MetaCPAN API

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.430.0-3.mga4
+ Revision: 512882
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.430.0-2.mga3
+ Revision: 369702
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 jquelin <jquelin> 0.430.0-1.mga3
+ Revision: 302085
- imported package perl-MetaCPAN-API


* Tue Oct 02 2012 cpan2dist 0.43-1mga
- initial mageia release, generated with cpan2dist
